// COMMAND MAP
levelshots/etl_supply_cc_automap
{
        nopicmip
        nocompress
        nomipmaps
        {
                clampmap levelshots/etl_supply_cc.tga
                depthFunc equal
                rgbGen identity
        }
}

levelshots/etl_supply_cc_trans
        {
        nopicmip
        nocompress
        nomipmaps
        {
                clampmap levelshots/etl_supply_cc.tga
                blendfunc blend
                rgbGen identity
                alphaGen vertex
        }
}


// SKY
textures/etl_supply/sky
{
	qer_editorimage textures/editor/blue1.tga
	// q3map_lightimage textures/skies_sd/siwa_clouds.tga
	
	// nocompress
	q3map_sunExt 0.75 0.70 0.6 275 199 49 .5 16
	q3map_sun 0.75 0.70 0.6 0 199 49
	q3map_skylight 40 5
	sunshader textures/skies_sd/siwasunbright
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	{
		fog off
		clampmap textures/skies_sd/siwa_mask.tga
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}

textures/etl_supply/_grass
{
	qer_editorimage textures/temperate_sd/grass_path1.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	
	q3map_foliage models/foliages/foliage01.md3 .75 200 0.2 2
	q3map_foliage models/foliages/foliage01b.md3 .8 200 0.2 2
	q3map_foliage models/foliages/foliage03.md3 .9 200 0.2 2
	q3map_foliage models/foliages/foliage04.md3 .8 500 0.05 2
	q3map_foliage models/foliages/foliage06.md3 .75 500 0.05 2
	
	surfaceparm grasssteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/temperate_sd/grass_path1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_road
{
	qer_editorimage textures/temperate_sd/dirt3.tga // textures/stone/dirt_m03.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/temperate_sd/dirt3.tga // textures/stone/dirt_m03.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/temperate_sd/dirt_m03icmp_brown.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale .5 .5
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_road_border
{
	qer_editorimage textures/temperate_sd/dirt3.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/temperate_sd/dirt3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale .5 .5
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_sand
{
	qer_editorimage textures/stone/mxrock4c.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/temperate_sd/dirt3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock4c.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_cave_bottom
{
	qer_editorimage textures/eltz/misc/q_caverock.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/temperate_sd/dirt3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/eltz/misc/q_caverock.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_cave
{
	qer_editorimage textures/eltz/misc/q_caverock.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/stone/mxrock2bo.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/eltz/misc/q_caverock.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_rock_bottom
{
	qer_editorimage textures/eltz/misc/q_caverock.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/eltz/misc/q_caverock.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_rock
{
	qer_editorimage textures/eltz/misc/q_caverock.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/eltz/misc/q_caverock.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2bo.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/_mountain
{
	qer_editorimage textures/stone/mxrock2bo.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm grasssteps
	{
		// Primary 1
		map textures/stone/mxrock2bo.tga
		rgbGen identity
		// tcMod scale .5 .5
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_supply/rock_autoclip
{
	qer_editorimage models/mapobjects/rocks_sd/rock_temperate2_big.tga
	q3map_lightmapSampleOffset 2
	q3map_forceMeta
	q3map_clipModel
	implicitMap models/mapobjects/rocks_sd/rock_temperate2_big.tga
}

textures/assault_rock/concrete_m02_shadeangle
{
	qer_editorimage textures/assault_rock/concrete_m02.tga
	q3map_nonplanar
	q3map_shadeangle 128
	implicitMap textures/assault_rock/concrete_m02.tga
}

textures/rubble/debri_m05_shadeangle
{
	qer_editorimage textures/rubble/debri_m05.tga
	q3map_nonplanar
	q3map_shadeangle 128
	implicitMap textures/rubble/debri_m05.tga
}

textures/cathedrale_wall/cathedrale_c06_shadeangle
{
	qer_editorimage textures/cathedrale_wall/cathedrale_c06.tga
	q3map_nonplanar
	q3map_shadeangle 128
	implicitMap textures/cathedrale_wall/cathedrale_c06.tga
}

textures/cathedrale_wall/cathedrale_c06dm_shadeangle
{
	qer_editorimage textures/cathedrale_wall/cathedrale_c06dm.tga
	q3map_nonplanar
	q3map_shadeangle 128
	implicitMap textures/cathedrale_wall/cathedrale_c06dm.tga
}

textures/sleepy/wall_c01_shadeangle
{
	qer_editorimage textures/sleepy/wall_c01.tga
	q3map_nonplanar
	q3map_shadeangle 128
	implicitMap textures/sleepy/wall_c01.tga
}